<?php

namespace App\Http\Controllers;

use App\Models\DocumentoPessoa;
use App\Models\Lote;
use App\Models\Pessoa;
use App\Models\Titulo;
use Illuminate\Http\Request;

class OneToOneController extends Controller
{
    public function oneToOne()
    {
        /* RELACIONAMENTO PESSOA/DOCUMENTO_PESSOA */
        $pessoas = Pessoa::where('id', 74516)->with('documentoPessoa')->get();
        foreach($pessoas as $pessoa){
            echo "Pessoa: " . "{$pessoa->nome}<hr>";
        $documentosPessoa = $pessoa->documentoPessoa()
                                        ->get();
            foreach($documentosPessoa as $documentoPessoa){
                echo "DocumentoPessoa: " . "{$documentoPessoa->cpf}<hr>";
            }
        }
    }
}
